Skip to main content
GET
/
webhooks
Get All Webhooks
curl --request GET \
  --url https://api.swoogo.com/api/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "name": "Sample Webhook",
      "url": "https://www.example.com/webhook",
      "trigger_object": "registrant",
      "group_id": 123,
      "headers": [
        {
          "key": "Authentication",
          "value": "Bearer Token"
        }
      ],
      "trigger_on_insert": true,
      "trigger_on_update": true,
      "trigger_on_delete": false,
      "public_user": false,
      "admin_user": true,
      "api_call": true,
      "all_fields": false,
      "any_event": false,
      "use_default_fields": true,
      "enabled": true,
      "event_ids": [
        1,
        2,
        3
      ],
      "fields": [
        "value"
      ],
      "content_type": "json",
      "notes": "This webhook is for test purposes.",
      "post_field_data": [
        "id",
        "value"
      ],
      "custom_fields": [
        {
          "key": "event_id",
          "type": "registrant",
          "value": "event_id"
        }
      ]
    }
  ],
  "_links": {
    "self": {
      "href": ""
    },
    "first": {
      "href": ""
    },
    "last": {
      "href": ""
    }
  },
  "_meta": {
    "totalCount": 1,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,url,content_type,post_field_data,use_default_fields,custom_fields,notes,trigger_object,trigger_on_insert,trigger_on_update,trigger_on_delete,all_fields,fields,public_user,admin_user,api_call,any_event,event_ids,created_at,created_by,updated_at,updated_by"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Response

Collection

items
object[]
_meta
object